WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.
!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

FireStorm Professional Real Estate Plugin

This professional real estate plugin gives you the ability to add real estate listings to your WordPress website.

Version 2.7.11 - Permalinks updates. - Custom filters, listing sorting and comparing moved to PRO extension. - Listing categories added (PRO). - Listing contact form now uses WordPress mail function. - Misc. bug fixes.

Version 2.7.10 - Permalinks updates. - Listing details image CSS updates. - Misc. bug fixes.

Version 2.7.9 - Fixed ReCaptcha issue with plugin conflicts. - Upgrade message no longer appears on filter pages for PRO users. - Listing details image CSS updates. - Misc. bug fixes.

Version 2.7.8 - Added FireStorm news area. - Fixed issues with showing sorting options on filters. - Basic filters now show listings instead of stating "no listings." - Support for additional PRO version features. - Added ability to easily upload extension files. - Pagination fixes for PRO users (PRO). - Hidden fields remain hidden (PRO). - Ability to remove price range from search (PRO). - Ability to add text before and after listings (PRO). - Misc. bug fixes.

Version 2.7.7 - Rewrite rules update after page saves.

Version 2.7.6 - Fixed search issue with checkbox custom fields. - Purchased extensions are now located in the /uploads/ directory. - Support for parent listings (Requires PRO version). - Repair tools now moved to "Tools" section in Settings. - Theme & plugin compatibility updates. - Rewrite issue resolved causing 404 error on listing details pages. - Fixed pagination issue causing pagination links to not appear. - Sort options updated for PRO version. - Misc. bug fixes.

Version 2.7.5 - Plugin compatibility updates. - Misc. bug fixes.

Version 2.07.4 - Resolved duplicate listing details issue.

Version 2.07.03 - Custom filter fixes. - Plugin compatibility updates.

Requires: 3.6 or higher
Compatible up to: 3.8.16
Last Updated: 3 years ago
Active Installs: 400+

Ratings

3.1 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

50,4,2 100,1,1
100,3,3
100,3,3
50,2,1 100,2,2
33,3,1 50,2,1 100,5,5 100,1,1
100,2,2 0,2,0
0,4,0 80,5,4
50,2,1
50,2,1
50,2,1
0,1,0 100,1,1
33,3,1
0,1,0